Package org.iirds.rdf

# Class RDFConstants

java.lang.Object
org.iirds.rdf.RDFConstants

public final class RDFConstants extends Object
Constants related to iiRDS.

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.jena.rdf.model.Resource`
  `COMPONENT_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `DESCRIPTION_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `DIRECTORYNODE_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `DOCUMENT_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `DOCUMENTTYPE_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `DOMAININCLUDES_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `EVENT_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `FORMAT_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `FRAGMENT_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `HASABSTRACT_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASDOCUMENTTYPE_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASFIRST_CHILD_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASIDENTITY_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASNEXT_SIBLING_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASSUBJECT_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `HASTOPICTYPE_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `IIRDSVERSION_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `INFORMATIONSUBJECT_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `INFORMATIONTYPE_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `LANGUAGE_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `NIL_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `PACKAGE_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `PRODUCT_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `PRODUCTFEATURE_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `PRODUCTLIFECYCLE_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `QUALIFICATION_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `RANGEINCLUDES_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `RELATES_TO_EVENT_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `RELATES_TO_NFORMATION_UNIT_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `RELATES_TO_PRODUCTVARIANT_PROPERTY`
  `static final org.apache.jena.rdf.model.Property`
  `RELATES_TO_QUALIFICATION_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `ROLE_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `SKILLLEVEL_RESOURCE`
  `static final org.apache.jena.rdf.model.Property`
  `TITLE_PROPERTY`
  `static final org.apache.jena.rdf.model.Resource`
  `TOPIC_RESOURCE`
  `static final org.apache.jena.rdf.model.Resource`
  `TOPICTYPE_RESOURCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.jena.rdf.model.Model`
  `createDefaultModel()`
  `static org.apache.jena.rdf.model.InfModel`
  `createInfModel(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Model`
  `getRDFSInfModel()`
  `static org.apache.jena.rdf.model.Model`
  `getRDFSModel()`
  `static org.apache.jena.rdf.model.Model`
  `readModels(URL... urls)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NIL_RESOURCE

    public static final org.apache.jena.rdf.model.Resource NIL_RESOURCE

  - ### PACKAGE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource PACKAGE_RESOURCE

  - ### DOCUMENT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource DOCUMENT_RESOURCE

  - ### DOCUMENTTYPE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource DOCUMENTTYPE_RESOURCE

  - ### TOPICTYPE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource TOPICTYPE_RESOURCE

  - ### INFORMATIONTYPE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource INFORMATIONTYPE_RESOURCE

  - ### INFORMATIONSUBJECT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource INFORMATIONSUBJECT_RESOURCE

  - ### TOPIC_RESOURCE

    public static final org.apache.jena.rdf.model.Resource TOPIC_RESOURCE

  - ### FRAGMENT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource FRAGMENT_RESOURCE

  - ### EVENT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource EVENT_RESOURCE

  - ### PRODUCT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource PRODUCT_RESOURCE

  - ### PRODUCTFEATURE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource PRODUCTFEATURE_RESOURCE

  - ### PRODUCTLIFECYCLE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource PRODUCTLIFECYCLE_RESOURCE

  - ### COMPONENT_RESOURCE

    public static final org.apache.jena.rdf.model.Resource COMPONENT_RESOURCE

  - ### DIRECTORYNODE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource DIRECTORYNODE_RESOURCE

  - ### ROLE_RESOURCE

    public static final org.apache.jena.rdf.model.Resource ROLE_RESOURCE

  - ### SKILLLEVEL_RESOURCE

    public static final org.apache.jena.rdf.model.Resource SKILLLEVEL_RESOURCE

  - ### QUALIFICATION_RESOURCE

    public static final org.apache.jena.rdf.model.Resource QUALIFICATION_RESOURCE

  - ### HASDOCUMENTTYPE_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASDOCUMENTTYPE_PROPERTY

  - ### HASTOPICTYPE_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASTOPICTYPE_PROPERTY

  - ### HASIDENTITY_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASIDENTITY_PROPERTY

  - ### TITLE_PROPERTY

    public static final org.apache.jena.rdf.model.Property TITLE_PROPERTY

  - ### HASABSTRACT_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASABSTRACT_PROPERTY

  - ### FORMAT_PROPERTY

    public static final org.apache.jena.rdf.model.Property FORMAT_PROPERTY

  - ### LANGUAGE_PROPERTY

    public static final org.apache.jena.rdf.model.Property LANGUAGE_PROPERTY

  - ### RELATES_TO_PRODUCTVARIANT_PROPERTY

    public static final org.apache.jena.rdf.model.Property RELATES_TO_PRODUCTVARIANT_PROPERTY

  - ### HASSUBJECT_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASSUBJECT_PROPERTY

  - ### RELATES_TO_QUALIFICATION_PROPERTY

    public static final org.apache.jena.rdf.model.Property RELATES_TO_QUALIFICATION_PROPERTY

  - ### RELATES_TO_EVENT_PROPERTY

    public static final org.apache.jena.rdf.model.Property RELATES_TO_EVENT_PROPERTY

  - ### RELATES_TO_NFORMATION_UNIT_PROPERTY

    public static final org.apache.jena.rdf.model.Property RELATES_TO_NFORMATION_UNIT_PROPERTY

  - ### HASFIRST_CHILD_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASFIRST_CHILD_PROPERTY

  - ### HASNEXT_SIBLING_PROPERTY

    public static final org.apache.jena.rdf.model.Property HASNEXT_SIBLING_PROPERTY

  - ### IIRDSVERSION_PROPERTY

    public static final org.apache.jena.rdf.model.Property IIRDSVERSION_PROPERTY

  - ### DOMAININCLUDES_PROPERTY

    public static final org.apache.jena.rdf.model.Property DOMAININCLUDES_PROPERTY

  - ### RANGEINCLUDES_PROPERTY

    public static final org.apache.jena.rdf.model.Property RANGEINCLUDES_PROPERTY

  - ### DESCRIPTION_PROPERTY

    public static final org.apache.jena.rdf.model.Property DESCRIPTION_PROPERTY

- ## Method Details

  - ### createDefaultModel

    public static org.apache.jena.rdf.model.Model createDefaultModel()

  - ### readModels

    public static org.apache.jena.rdf.model.Model readModels(URL... urls)

  - ### getRDFSModel

    public static org.apache.jena.rdf.model.Model getRDFSModel()

  - ### getRDFSInfModel

    public static org.apache.jena.rdf.model.Model getRDFSInfModel()

  - ### createInfModel

    public static org.apache.jena.rdf.model.InfModel createInfModel(org.apache.jena.rdf.model.Model model)